Bug 30125 - [4.3 regression] Wrong-code due to aliasing
[4.3 regression] Wrong-code due to aliasing
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: tree-optimization
4.3.0
: P3 blocker
: 4.3.0
Assigned To: Not yet assigned to anyone
: alias, monitored, wrong-code
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-08 21:41 UTC by Volker Reichelt
Modified: 2006-12-13 09:00 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Reichelt 2006-12-08 21:41:36 UTC
Since 2006-12-05 the following test is failing (used to be PR 27768):
FAIL: g++.dg/opt/alias4.C execution test

According to the testresults mailing list, the bug appeared between
rev. 119481 ( http://gcc.gnu.org/ml/gcc-testresults/2006-12/msg00154.html )
and rev. 119532 ( http://gcc.gnu.org/ml/gcc-testresults/2006-12/msg00197.html )

The testcase works correctly with -fno-strict-aliasing.
Comment 1 Andrew Pinski 2006-12-08 21:45:17 UTC
This should have been fixed by:
2006-12-05  Daniel Berlin  <dberlin@dberlin.org>

        * tree-ssa-structalias.c (set_used_smts): Re-fix pr29156.
        Optimize to avoid marking more SMT's as used when they aren't.
Comment 2 Andrew Pinski 2006-12-08 21:46:17 UTC
In fact it was:
http://gcc.gnu.org/ml/gcc-testresults/2006-12/msg00343.html
Comment 3 Andrew Pinski 2006-12-08 22:16:28 UTC
Woops wrong testcase.
Comment 4 Andrew Pinski 2006-12-13 09:00:45 UTC
Fixed now, I don't know by what off hand but I think it was:
2006-12-11  Daniel Berlin  <dberlin@dberlin.org>

        * tree-ssa-structalias.c (handle_ptr_arith): Return false when we
        can't handle the pointer arithmetic.
Comment 5 Paolo Bonzini 2007-03-16 09:03:24 UTC
Subject: Bug 30125

Author: bonzini
Date: Fri Mar 16 09:03:10 2007
New Revision: 122980

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122980
Log:
2007-03-16  Paolo Bonzini  <bonzini@gnu.org>

	PR rtl-optimization/30125
	* df.h (df_get_live_out): New prototype.
	* df-problems.c (df_get_live_out): New.
	(df_ri_bb_compute): Use it.

Modified:
    branches/dataflow-branch/gcc/ChangeLog.dataflow
    branches/dataflow-branch/gcc/df-problems.c
    branches/dataflow-branch/gcc/df.h